@import "../../sass/variables";

#admin-page {
  overflow-x: hidden !important;
  height: 100%;
  max-width: 700px;
  width: 100%;
  margin: auto;

  #admin-navigation {
    margin-bottom: 20px;
  }

  .admin-list {
    height: calc(100% - 100px);
    overflow: auto;

    table {
      border: none;
      border-radius: 0;
      background: $blackTransparent;
      color: white;

      thead {
        th {
          color: white;
          background: $blackTransparent;
        }
      }

      tbody {
        tr {
          transition: 0.2s;

          &:hover {
            background: $purple;
            cursor: pointer;
          }
        }
        tr:not(:last-of-type) {
          td {
            border-bottom: 1px solid #56565666;
          }
        }
      }
    }
  }

  .web-modal {
    .modal-field-header {
      display: flex;
      justify-content: space-between;
    }

    .secondary-table {
      background: $blue;
      border: none;
      border-radius: 0;
      color: $lightGrey;
      margin: 0;

      tr {
        cursor: pointer;
        transition: 0.2s;

        td.icon {
          width: 10px;

          i {
            margin: 0;
          }
        }

        &:hover {
          background: lighten($blue, 5%);
        }

        &.selected {
          background: lighten($blue, 20%);

          &:hover {
            background: lighten($blue, 25%);
          }
        }
      }
    }

    .variable {
      display: flex;
      color: $lightGrey;
      padding: 5px 0;

      .variable-name {
        width: 100px;
        padding-top: 9px;
      }

      .variable-type {
        margin-right: 20px;
      }

      .variable-value {
        width: 200px;
      }
    }
  }

  .button.add {
    float: right;

    i {
      margin: 0;
    }
  }
}
